//CBLPARJ1 JOB SIMOTIME,ACCOUNT,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//* *******************************************************************
//*       CBLPARJ1.JCL - a JCL Member for Batch Job Processing        *
//*       This JCL Member is provided by SimoTime Technologies        *
//*           (C) Copyright 1987-2019 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - Process a parameter string passed from the JCL
//* Author - SimoTime Technologies
//* Date   - January 24, 1996
//*
//* This is a sample program that shows how a COBOL program can
//* process input from the JCL using the PARM keyword from the EXEC
//* statement.
//*
//* This set of programs may be compiled and executed on a Mainframe
//* System with ZOS or a Linux, UNIX or Windows System with Micro Focus
//* Enterprise Server.
//*
//* *******************************************************************
//* Step 1 of 4, Execute the COBOL program without a parameter.
//*
//PARJ1S01 EXEC PGM=CBLPARC1
//*
//* *******************************************************************
//* Step 2 of 4, Execute the COBOL program with a parameter.
//*
//PARJ1S02 EXEC PGM=CBLPARC1,
//             PARM='This is a Parameter from the EXEC and PARM= ...'
//*
//* *******************************************************************
//* Step 3 of 4, Execute the COBOL program with a parameter.
//*              The PARM= has a record length maximum of 100.
//*
//PARJ1S03 EXEC PGM=CBLPARC1,
//             PARM='....:....1....:....2....:....3....:....4....:....5X
//             ....:....6....:....7....:....9....:...10....:...11'
//*
//* *******************************************************************
//* Step 4 of 4, Execute the COBOL program with a parameter.
//*              The PARM= has a substitution variable.
//*
//         SET SYSDATE=20051013
//PARJ1S04 EXEC PGM=CBLPARC1,PARM='DATE IS &SYSDATE'
//
